[ROOT][NEW] [UNOFFICIAL] Xposed for Android 5.1.0/5.1.1 - API v74 20150911 [UPDATED]



Introduction
Here comes another unofficial Xposed Framework release targeted for Lollipop 5.1.0 and 5.1.1
This version is based on @romracer 's initial version so credits go to him for doing
the initial job to get the framework running on LP 5.1; as well as @rovo89 for all of his original work.


As you may already know, many modules don't work on initial version  due to changes in ART between LP 5.0 - 5.1.
I took an effort to go through all the changes in ART to find out what could be done to improve the framework
for better 5.1 compatibility, and managed to identify areas where adjustments had to be made.

This means, this version should have better support for all those modules that were previously causing boot loops
or other unexpected system/app crashes. But please note, that even if modules that previously didn't work start to work again, 
it is still necessary for them to be updated for Lollipop 5.1 compatibility - and that's a task for a particular module dev.

Please, do not spam this post with issues related to modules themselves. Use dedicated modules' thread instead.

THIS VERSION DOES NOT TARGET ANY SAMSUNG TOUCHWIZ RELATED ISSUES

USE AT YOUR OWN RISK AND MAKE SURE YOU MAKE A NANDROID BACKUP BEFORE FLASHING


Compatibility
If previous super alpha worked on your device, new one will most likely work as well.

Files
there are two version of the framework, one for LP 5.1.0 and one for LP 5.1.1, even if there are no significant differences between 5.1.0 and 5.1.1.
Both are for ARM 32bit platform. Make sure you choose the correct one for your system.
- xposed-sdk22-5.1.0-arm-20150514 - tested on Nexus 5 running stock 5.1.0 (LMY47I)
- xposed-sdk22-5.1.1-arm-20150514 - tested on Nexus 5 running 5.1.1 built from AOSP source (LMY47V)

Install
- flash in custom recovery
- make sure to wipe dalvik cache after flashing.


DOWNLOAD

Related Posts: